RichFeatureHolder (BioJava-1.5-beta API)
Keywords: org.biojavax.bio.seq.RichFeatureHolder interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojavax.bio.seq
Interface RichFeatureHolder

All Superinterfaces:
  Changeable, FeatureHolder

All Known Subinterfaces:
  RichFeature

All Known Implementing Classes:
  SimpleRichFeature

    public interface RichFeatureHolder

extends FeatureHolder

Holds feature relationships.

Since:
  1.5
Author:
  Richard Holland

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.seq.FeatureHolder
`FeatureHolder.EmptyFeatureHolder`

Field Summary

Fields inherited from interface org.biojava.bio.seq.FeatureHolder
`EMPTY_FEATURE_HOLDER, FEATURES, SCHEMA`

Method Summary
`void` | `addFeatureRelationship(RichFeatureRelationship relationship)` Adds a relationship to this feature holder.
`Set` | `getFeatureRelationshipSet()` Returns the set of relationships held in this feature holder.
`void` | `removeFeatureRelationship(RichFeatureRelationship relationship)` Removes a relationship from this feature holder.
`void` | `setFeatureRelationshipSet(Set relationships)` Clears the relations from this feautre holder and replaces them with a new set.

Methods inherited from interface org.biojava.bio.seq.FeatureHolder
`containsFeature, countFeatures, createFeature, features, filter, filter, getSchema, removeFeature`

Methods inherited from interface org.biojava.utils.Changeable
`addChangeListener, addChangeListener, isUnchanging, removeChangeListener, removeChangeListener`

Method Detail

### addFeatureRelationship

    void addFeatureRelationship(RichFeatureRelationship relationship)
                                throws ChangeVetoException

  Adds a relationship to this feature holder.

  Parameters:
    `relationship` - the relationship to add.
  Throws:
    `ChangeVetoException` - if the relationship is unacceptable.

### removeFeatureRelationship

    void removeFeatureRelationship(RichFeatureRelationship relationship)
                                   throws ChangeVetoException

  Removes a relationship from this feature holder.

  Parameters:
    `relationship` - the relationship to remove.
  Throws:
    `ChangeVetoException` - if it cannot be removed.

### getFeatureRelationshipSet

    Set getFeatureRelationshipSet()

  Returns the set of relationships held in this feature holder.

  Returns:
    a set of RichFeatureRelationship objects.

### setFeatureRelationshipSet

    void setFeatureRelationshipSet(Set relationships)
                                   throws ChangeVetoException

  Clears the relations from this feautre holder and replaces them with a new set.

  Parameters:
    `relationships` - the new set of features this holder should have. The set must contain only RichFeatureRelationship objects.
  Throws:
    `ChangeVetoException` - if the new set could not be installed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD